#!/bin/env gnuplot

# Prefix vystupnich suoboru
prefix='graf.'
# Font
fontsoubor='/usr/share/fonts/libertine/LinLibertine_R.otf'

# Začneme s PNG
set terminal png interlace \
    font fontsoubor 12 size 640,480
set output (prefix.'png')

set boxwidth 0.9 absolute
set style fill solid 1.00 border -1
set style histogram clustered gap 1 title  offset character 0, 0, 0
set style data histograms

unset xtics
set xtics out scale 0,0 nomirror rotate by -270 offset character 0, 0, 0 
set yrange [0:*] nowriteback
#set format y "%'.2f"
#set decimalsign ","
#set decimalsign locale
#set decimalsign locale "cs_CZ"
set decimalsign locale "cs_CZ.UTF-8"
set format y "%'.0f"
set grid noxtics ytics

# meritko
#pomer=10**-0
#jednotky_schodku=" [Kč]"
#if (pomer==10**0) jednotky=""; jednotky_schodku=""
#if (pomer==10**-3) jednotky=" [tisíce]"
#if (pomer==10**-6) jednotky=" [milióny]"

#set xlabel 'Strana, koalice nebo sdružení'
set ylabel 'Počet hlasů'
#set title "Počet získaných hlasů" 


# label offset by měl být 0,1, ale je 0,.9 kvůli chybě při výpočtu bounding
# boxu grafu (horní okraj je trochu ořízlý)
plot 'data.sorted' using 3:xticlabels(2) notitle, \
    '' using 0:3:3 with labels center offset 0,.9 notitle


# Vyrobíme SVG
set terminal svg \
    font 'sans-serif' fsize 12 \
    size 640,480
set output (prefix.'svg')

replot

## Vyrobíme PS
#set terminal postscript \
#    #font 'sans-serif' fsize 12 \
#    size 640,480 \
#    #color 
#set output (prefix.'ps')
#
#replot


# Vyrobíme epslatex s velikosti pisma 11
set terminal epslatex standalone monochrome solid \
    size 6,6 blacktext '' 11
set output (prefix.'tex')

replot

## Vyrobíme PDF
#set terminal pdf monochrome solid \
#    size 6,6
#set output (prefix.'pdf')

replot
